跳到主要内容

Update Protection Branch Rules

PUT 

/api/v5/repos/:owner/:repo/branches/:wildcard/setting

Request​

Path Parameters

    owner stringrequired

    Repository space address (organization or individual's address path)

    repo stringrequired

    Repository path (path)

    wildcard stringrequired

    Protect branch name

Query Parameters

    access_token stringrequired

    User authorization code

Body

    pusherstringrequired

    Please push code members. develop: repository administrator and developer; admin: repository administrator; maintainer: maintainer; multiple roles separated by English semicolons. Specify the user to pass in the username, multiple users separated by English semicolons. Empty string: no one is allowed to push.

    mergerstringrequired

    Pull Request members. develop: repository administrator and developer; admin: repository administrator; maintainer: maintainer; multiple roles are separated by English semicolons. Specify the user, enter the username, multiple users are separated by English semicolons. Empty string: no one is allowed to merge.

Responses​

Successful Response

Response Headers
    Schema
      object